'From Squeak3.7gamma of ''17 July 2004'' [latest update: #5987] on 6 November 2004 at 9:55:55 am'!
"Change Set:		NumberAsScaledDecimal-dtl
Date:			6 November 2004
Author:			David T. Lewis

Adds Number>>asScaledDecimal.

Background: I am using this in TimeZoneDatabase to select a numeric data
type for instances of PointInTime. Squeak has #asScaledDecimal: but did
not have #asScaledDecimal (no parameter required). This change set permits
the data type selector for PointInTime to be #asScaledDecimal rather
than #asFloat. It turns out by the way that ScaledDecimal works quite
nicely for representing time.
"!


!Number methodsFor: 'converting' stamp: 'dtl 9/25/2004 11:47'!
asScaledDecimal
	"Answer a scaled decimal number approximating the receiver."
	#Numeric.

	^ self asScaledDecimal: 8
! !

